function SF_ = fem_2_plotStatic(in_data, obj, resp, type_analysis, varargin)

% -------------------------------------------------------------------------

SF_=[];

if in_data.EL(1,2)==0 | in_data.EL(1,2)==1 | in_data.EL(1,2)==2 |...
        in_data.EL(1,2)==31 dofN = 3; end;
if in_data.EL(1,2)==3 dofN = 6; end;
if in_data.EL(1,2)==4 dofN = 2; end;
if in_data.EL(1,2)==5 | in_data.EL(1,2)==51 dofN = 2; end;
if in_data.EL(1,2)==6 dofN = 3; end;
if in_data.EL(1,2)==9 dofN = 3; end;
if in_data.EL(1,2)==10 dofN = 3; end;
if in_data.EL(1,2)==44 dofN = 1; end;


dof_ = size(in_data.ND,1)*dofN;

if in_data.EL(1,2)==9
    fem_3_plotBCIZ(in_data,resp,dof_,120);
    SF_=0;
end;

if in_data.EL(1,2)==44 
    fem_3_plotHeat(  in_data, resp, dof_, 199, varargin{1} );
end

if in_data.EL(1,2)==4  |  in_data.EL(1,2)==5 | in_data.EL(1,2)==51
    SIGsys = fem_3_stressCSTQ(in_data, resp);
    SF_ = zeros(size(in_data.EL,1), 4);
    SF_(1:size(in_data.EL,1),1)=[1:size(in_data.EL,1)]';
    for i=1:size(in_data.EL,1)
        SF_(i,2:end) = [SIGsys(i*3-(3-1):i*3,1)]';
    end;
    
    if length(type_analysis)>3 if type_analysis(4)==15 end;
    else 
        save FEM_STRESS.txt SF_ -ascii; format;
        disp('---  Elements Stresses saved to "FEM_STRESS.txt": [elem#  x  y  angle(deg)]');
        fem_3_plotCSTQ(  in_data, SIGsys, resp, dof_, 199, varargin{1} );                                  
    end
end;
if in_data.EL(1,2)==3  fem_3_plot3Dbeam(in_data,resp);  end;
if in_data.EL(1,2)==31 fem_3_plot3Dtruss(in_data,resp); end;
if in_data.EL(1,2)==6
    [SIGsys]   = fem_3_stressBRICK(in_data, resp);
    [SIG_main] = fem_3_stressMainBRICK(in_data, SIGsys);
    SF_ = zeros(size(in_data.ND,1), 7);
    SF_(1:size(in_data.EL,1),1)=[1:size(in_data.EL,1)]';
    for i=1:size(in_data.ND,1)
        SF_(i,2:end) = [SIGsys(i,:)];
    end;
    if length(type_analysis)>3 if type_analysis(4)==15 end;
    else
        save FEM_STRESS.txt SF_ -ascii; format;
        disp('--- "BRICK" Principal Stresses saved to "FEM_STRESS.txt"');
        fem_3_plotBRICK(in_data, resp, dof_, SIG_main);
    end;
end;
if in_data.EL(1,2)==0 | in_data.EL(1,2)==1 | in_data.EL(1,2)==2
    SF_=[];
    if length(type_analysis)>3 if type_analysis(4)==15 end;
    else
        fem_3_plot2Dbeam(in_data,resp);
        [SF_]=fem_3_plot2DbeamNVM(in_data,obj,resp,'m',3289);
        fem_3_plot2DbeamNVM(in_data,obj,resp,'v',3297);
        fem_3_plot2DbeamNVM(in_data,obj,resp,'n',3299);
        save FEM_2Dbeam_NVM.txt SF_ -ascii; format;
        disp('--- end axial, shear forces, bending moments saved to "FEM_2Dbeam_NVM.txt"');
    end;
end;

if in_data.EL(1,2)==10
    if length(type_analysis)>3 if type_analysis(4)==15 end;
    else
        [SIGsys] = fem_3_stressTetr(in_data, resp);
        fem_3_plotTetr(in_data, resp, dof_,SIGsys);
    end;
end;
