function  fem_2_dynAnim3DtetrFrame( in_data, D, ind, dof_, XXX,YYY,ZZZ, NF) 

% -------------------------------------------------------------------------


figure(NF);

maxX = max(in_data.ND(:,2)); minX = min(in_data.ND(:,2));
maxY = max(in_data.ND(:,3)); minY = min(in_data.ND(:,3));
maxZ = max(in_data.ND(:,4)); minZ = min(in_data.ND(:,4));

labx = (maxX / 5); laby = (maxY / 5); labz = (maxZ / 5);
labx = min([labx laby labz]); laby = labx;  labz=labx;

deN = max([XXX  YYY  ZZZ]);
dx = labx *D(1:3:dof_(1)) /deN;
dy = laby *D(2:3:dof_(1)) /deN;
dz = labz *D(3:3:dof_(1)) /deN;

    dx=dx.*1;
    dy=dy.*1;
    dz=dz.*1;
    tri2=fem_3_surfTet(in_data.ND(:,2:4),in_data.EL(:,3:6));
    h5 = trimesh(tri2,in_data.ND(:,2)+dx',in_data.ND(:,3)+dy', ...
         in_data.ND(:,4)+dz', ...
         'facecolor',[.6 .6 .8],'edgecolor','b');
    set(h5,'facecolor',[.5 .5 .5],'edgecolor','k');
    axis equal, axis off;
    fct = 0.1;
    axis([(minX-labx) (maxX+labx) (minY-laby) (maxY+laby) ...
      (minZ-labz) (maxZ+labz)]);

