function fem_2_dynAnimCSTframe( in_data, D, ind, dof, max_D_x, max_D_y,NF) 

% -------------------------------------------------------------------------

   figure(NF);

   maxX = max(in_data.ND(:,2));  minX = min(in_data.ND(:,2));
   maxY = max(in_data.ND(:,3));  minY = min(in_data.ND(:,3));
   labx = (maxX / 10); laby = (maxY / 10);
   labx = min([labx laby]); laby = labx;
   
  
ND_d = in_data.ND;
deN = max([max_D_x  max_D_y]);
ND_d(:,2) = in_data.ND(:,2) + labx*D(1:2:dof(1))'./deN;
ND_d(:,3) = in_data.ND(:,3) + laby*D(2:2:dof(1))'./deN;


if in_data.EL(1,2)==4
    ha = plot(ND_d(:,2),ND_d(:,3),'r.','Markersize',5);
    axis equal; axis off; hold on;
end;

if in_data.EL(1,2)==5 | in_data.EL(1,2)==51
    plot(ND_d(:,2),ND_d(:,3),'r.');
    axis equal; axis off; hold on;
    for i=1:size(in_data.EL)           
        node1 = find(ND_d(:,1)==in_data.EL(i,3));
        node2 = find(ND_d(:,1)==in_data.EL(i,4));
        node3 = find(ND_d(:,1)==in_data.EL(i,5));
        node4 = find(ND_d(:,1)==in_data.EL(i,6));
        plot([ND_d(node1,2) ND_d(node2,2) ND_d(node3,2) ...
                ND_d(node4,2) ND_d(node1,2)],...
            [ND_d(node1,3) ND_d(node2,3) ND_d(node3,3) ND_d(node4,3)...
                ND_d(node1,3)],'r-');
    end
end

axis([(minX-labx) (maxX+labx) (minY-laby) (maxY+laby)]);

hold off;
